%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-QtAwesome
Version:       1.4.0
Release:       1mamba
Summary:       QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in PyQt and PySide applications
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/QtAwesome/
Source:        https://pypi.debian.net/QtAwesome/qtawesome-%{version}.tar.gz
License:       MIT
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(qtpy)
BuildRequires: python3.11dist(setuptools)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n qtawesome-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/qta-browser; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
%endif

sed -i "\,%{_bindir},d" %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%{_bindir}/qta-*
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*

%changelog
* Thu Apr 10 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- update to 1.4.0

* Thu Mar 28 2024 Automatic Build System <autodist@openmamba.org> 1.3.1-1mamba
- automatic version update by autodist

* Tue Dec 12 2023 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 1.2.3-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Fri Apr 07 2023 Sdk Build System <sdk@mambasoft.it> 1.2.3-2mamba
- rebuilt with python 3.10

* Fri Mar 10 2023 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Wed Dec 28 2022 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Tue Oct 25 2022 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Thu Oct 20 2022 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Sun Feb 13 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-2mamba
- rebuilt with distdeps

* Mon Nov 29 2021 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Wed Nov 03 2021 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Wed Jun 23 2021 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Wed Jan 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- package created using the webbuild interface
